Mono(mono-api-info)

NAME
mono-api-info - Expose IL structure of CLR assemblies as XML.

SYNOPSIS

mono-api-info [--abi] assembly1.dll assembly2.exe ...

DESCRIPTION
Expose the structure of your CLR assemblies by examining their IL and giving XML output.

By default this tool gives information about just the public API of the assemblies to scan. So it's good for comparing API compatibility between versions of libraries.

OPTIONS

--abi
    Show the ABI instead of the API, that is, non-static fields (even the non-public ones) that are not marked as [NonSerialized()].

AUTHOR
Written by Andrés G. Aragoneses

COPYRIGHT
Copyright (C) 2010 LindenLab. Released under BSD license.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-list for details.

WEB SITE
Visit http://www.mono-project.com for details

SEE ALSO
mono(1)